Skip to main content
GET
Get Media Asset

Authorizations

WLT-Api-Key
string
header
required

API key for authentication. Get your key from the developer portal.

Path Parameters

media_asset_id
string
required

Response

Successful Response

A user-uploaded media asset stored in managed storage.

MediaAssets can be images, videos, or binary blobs that are used as input to world generation.

created_at
string<date-time>
required

Creation timestamp

file_name
string
required

File name

kind
enum<string>
required

High-level media type

Available options:
image,
video
Examples:

"image"

"video"

media_asset_id
string
required

Server-generated media asset identifier

extension
string | null

File extension without dot

Example:

"mp4"

metadata
Metadata · object | null

Optional application-specific metadata

updated_at
string<date-time> | null

Last update timestamp